#32/64

Name:		dreamchess
Version:	0.2.0
Release:	%mkrel 1
Summary:	OpenGL chess game
License:	GPLv3+
URL:		http://www.dreamchess.org/
Group:		Games/Boards
Source0:	%{name}-%{version}.tar.xz
Patch0:		%{name}-%{version}-pthread.patch
Patch1:		%{name}-%{version}-sfmt.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	%{_lib}mesagl1-devel
BuildRequires:	%{_lib}SDL-devel
BuildRequires:	%{_lib}SDL_image-devel
BuildRequires:	%{_lib}SDL_mixer1.2-devel
BuildRequires:	%{_lib}jpeg62-devel
BuildRequires:	%{_lib}png-devel
BuildRequires:	%{_lib}mxml-devel
BuildRequires:	zlib-devel

%description
DreamChess is an open source chess game. DreamChess features 3D OpenGL graphics and provides various chess board sets, ranging from classic wooden to flat figurines.

A moderately strong chess engine is included: Dreamer. However, should this engine be too weak for you, then you can use any other XBoard-compatible chess engine, including the popular Crafty and GNU Chess.


%prep
%setup -q
%apply_patches

%build
%configure2_5x \
 --bindir=%{_gamesbindir} \
 --datadir=%{_gamesdatadir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/applications/
install -m 755 desktop/%{name}.desktop $RPM_BUILD_ROOT%{_datadir}/applications/

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Boards" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -m 644 desktop/%{name}.png \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

%clean
rm -rf %{buildroot}


%post 
%update_menus

%postun 
%clean_menus


%files
%doc README COPYING ChangeLog AUTHORS INSTALL
%{_gamesbindir}/%{name}
%{_gamesbindir}/dreamer
%{_datadir}/games/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man6/*


%changelog
* Fri Aug 23 2013 Ken <lxgator at gmail.com> 0.2.0-1pclos2013
- imported for pclos

